## Makefile.in
##  de basis voor Makefile
##  zie het configure script voor het overzicht
##
# 
# Makefile
#  voor wijzigingen moet je in Makefile.in zijn
#

## Noem expliciet welke files uit de top directory in de tarball moeten
DISTFILES = Makefile.in configure my.autoconf \
  ChangeLog INSTALL README TODO

# alle scripts gaan de tarball in
SCRIPTS = scripts/*

## en voor de andere directories ook.
SRC_DISTFILES = website/Makefile.in website/my.autoconf \
  website/*.txt website/README \
  conf/*.conf

SRC_JS_DISTFILES = website/javascripts/*.js

SRC_CSS_DISTFILES = website/stylesheets/*.css

all: Makefile
	( cd website ; make $@ )
	( cd website/slides ; make $@ )

Makefile: Makefile.in configure my.autoconf 
	./configure # Maak opnieuw alle makefiles

## Vervanger van het "backup_html" script,
## het grootste verschil is dat de source bewaard wordt.
backup: dist
	mkdir -p revisions
	cp loscweb.tar.gz revisions/loscweb`date +%Y%m%d`.tar.gz

dist:
	rm -fr loscweb
	mkdir -p loscweb/website loscweb/html loscweb/scripts
	mkdir -p loscweb/website/javascripts loscweb/website/stylesheets
	mkdir -p loscweb/atelier
	cp -p $(DISTFILES) loscweb
	cp -p $(SCRIPTS) loscweb/scripts
	cp -p $(SRC_DISTFILES) loscweb/website
	cp -p $(SRC_JS_DISTFILES) loscweb/website/javascripts
	cp -p $(SRC_CSS_DISTFILES) loscweb/website/stylesheets
	cp -p atelier/* loscweb/atelier
	tar czf website/loscweb.tar.gz loscweb
	rm -fr loscweb

## opschonen,
clean:
## de HTML files die we aangemaakt hebben
	( cd website ; rm -f *.html )
	# known bug: gegeneerde PNGs blijven achter
	( cd website/slides ; rm -f *.html )
## backups van editors
	rm -f *~ scripts/*~ website/*~

install: all
	scripts/sync_website_server

# end of Makefile
## end of Makefile.in
